Jump to content

Leaderboard

  1. BIGAL

    BIGAL

    Trusted Members


    • Points

      32

    • Content Count

      14,334


  2. rlx

    rlx

    Trusted Members


    • Points

      25

    • Content Count

      1,795


  3. ronjonp

    ronjonp

    Trusted Members


    • Points

      23

    • Content Count

      1,805


  4. Dana W

    Dana W

    Trusted Members


    • Points

      23

    • Content Count

      5,074


Popular Content

Showing content with the highest reputation since 04/06/2021 in all areas

  1. All members (i.e. anyone with a post count of 10 or greater) now have access to a new theme here at the CADTutor forum. This has been a long-time request, and now it's here! In the footer of every page, eligible members will see a "Theme" link that allows a choice of the default CADTutor theme or the new Dark Mode theme. Simply choose the one you prefer. The forum will remember your choice until you change it. Try it out and let me know what you think
    6 points
  2. Thank you for all your continued work in keeping this place online David, it is tremendously appreciated - the forum feels far more responsive following the upgrade!
    4 points
  3. I beg to differ with you. CADTutor is thriving because of the perseverance, dedication and vision of David Watson who deserves our thanks. So... "Thank you" David for all that you have done.
    4 points
  4. Dark Mode is much better for me. Thanks!
    3 points
  5. CADTutor.net is the fastest CAD forum I am aware of. The blasted Autodesk forums are so bloated and slow, and there is always something going on where you can't load photos, or the pages time out, or something. It is a pleasure to come here and read or respond to a post and know that it just works, super fast on top of that. Cheers to David and all of the members who make this place what it is.
    3 points
  6. If you somehow got the impression I'm not impressed or thankfull for all of David's work , you're wrong. So let me rephrase : social media , David good . David, gives us a platform that doesn't care about race , borders , religion , IQ or whatever , just all people trying to help each other.
    3 points
  7. The upgrade has completed successfully, and the forum is open again. You will notice quite a few diferences in the user interface but I've tried to keep our theme as close to the previous version as possible. As usual, keep an eagle eye out for anything that looks unusual, and let me know in this thread if you spot anything that requires my attention. Other than that, enjoy the new version of the CADTutor forum
    3 points
  8. This seems to work: (setvar 'measurement 1) (command "._-SCALELISTEDIT" "_Reset" "_Yes" "_Exit")
    3 points
  9. Thanks David! I remember back in the old days when "other CAD" users made fun of Acad's native "dark mode". Acad was just OG the WHOLE time!
    2 points
  10. this is the dark theme layout in the dark theme firefox with dark theme colors in Autocad. My vampire eyes can be at ease.
    2 points
  11. I put a block at 0,0 for testing. Note the space as last character tested on command line but should work in a menu, I have always used ^P not Q. ^C^C^Pzoom w 2,2 -2,-2 eattedit 0,0
    2 points
  12. Yup... I found it like RIGHT after I asked this question. That's not a setting I normally use. Whoops <facepalm> Thank you Dana!
    2 points
  13. See image. You ae in Isometric view.
    2 points
  14. Very cool! Will be using that. You guys can also apply dark themes in firefox and chrome. There are also dark options for windows that make everything kind of jive with the new cadtutor dark theme lol. So recommend that. -ChriS
    2 points
  15. If you're talking about the [Default Scale List…] on the [User Preferences] tab in Options you can restore them with the SCALELISTEDIT command.
    2 points
  16. Hi All, there will likely be some dissruption to the forum this week. We are upgrading to the latest version of the forum software, and this will mean the forum will be closed for a few hours while the upgrade takes place. Once the upgrade is complete, you may notice a few differences to the interface and there are also some new features. I'll provide more information once the upgrade is complete.
    2 points
  17. A tin can take into account stuff like breaklines where as a grid normally does not. A grid misses true survey points.
    2 points
  18. Use the filter command then select all and change the dimensions in the properties palette.
    2 points
  19. No need for trial and error. Add points to the car (block) at the center of the tires and create an arc with a radius of the wheel base centered on the rear wheel (I assume the rear is to the left). Construct an offset line to the surface profile at a distance equal to the radius of the tires (0.35 in your drawing). Position the center of the rear (left?) tire on the offset line as shown here using osnap nearest. Set osnap to endpoint, node, intersection and ow give the rotate command and click the center of the rear tire for the Base Point and then enter R and click t
    2 points
  20. Thanks @Lee Mac good to have the feedback - glad it feels more responsive. I think the developers have been trying to streamline the codebase and it seems they've been successful, despite adding new features.
    2 points
  21. Thanx for all your excellent work!
    2 points
  22. Glad to help Here is a version to rotate all objects with a rotation property: (defun c:foo (/ a e o s) (if (and (setq e (car (entsel "\nPick something to match rotation: "))) (setq a (cdr (assoc 50 (entget e)))) (setq s (ssget ":L")) ) (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s))) (if (vlax-property-available-p (setq o (vlax-ename->vla-object e)) 'rotation) (vla-put-rotation o a) ) ) ) (princ) )
    2 points
  23. That is a myth, open up any book from any version and look at the list of commands in AutoCAD LT the very first entry is and has always been 3DPOLY What LT is missing are many of the 'tools' for working with 3D and LT cannot create 3D solids, meshes etc. but it can certainly open a drawing that contains them and it does have a whole load of tools for getting around and viewing 3D modelspace. We have 3D views, the 'hide' command to better visualize 3D models. Measurements are taken accurately from 3D points. In fact one question that comes up regularly in LT forums is how to get rid o
    2 points
  24. Just guessing check the dimension's Text Offset value in the Properties Palette If it's negative remove the minus sign.
    2 points
  25. There have been a few times in the past where I had to work on someone else's drawing and they had overlapping viewports with the viewport frames turned off. Their drawing filled the entire space within the title block border, so I double clicked inside the border to get into model space but was unable to select anything inside the smaller viewports. Talk about frustrating. I finally figured out what they had done but it took me a minute to realize there were other viewports on top of the main viewport.
    2 points
  26. The one situation that causes me worry about overlapping viewports is when neither has enough blank space to keep the model geometry from overlapping. I go to an extra page for that one. There's too much overhead in time needed to set up a screening mask or wipeout in modelspace on a special layer that only hides stuff in one viewport while being frozen in all the others. Then suppose somebody else has to edit that sucker, with a giant invisible background color wipeout or hatch hiding half the universe.
    2 points
  27. Using that in the drawing I'm working on now. Never had an issue that way.
    2 points
  28. I agree with Tombu about avoiding viewports on top of viewports. I don't know of any known issues caused by doing this, it's just my own personal preference. For something like this, I would create a polygonal viewport for my main view so I can create a space for my smaller viewport.
    2 points
  29. It's really old now and probably needs to be updated:
    2 points
  30. There's no such thing as an "angle guide" in AutoCAD. Do you mean your Polar Tracking was turned off?
    2 points
  31. "AcDbMTEXT" must be "AcDbMText" Edit: all credits to @rlx for the good example he offered.
    2 points
  32. @Grrr Give this a try: (defun c:test (/ d cvp vp enx ll ur) (cond ((and (setq vp (car (entsel "\nPick viewport: "))) (setq enx (entget vp))) ;; Force model space before setting cvport (vlax-put (setq d (vla-get-activedocument (vlax-get-acad-object))) 'mspace 1) (setvar 'cvport (cdr (assoc 69 enx))) (vla-getboundingbox (vlax-ename->vla-object (car (entsel "\nPick Object"))) 'll 'ur) (vla-zoomwindow (vlax-get-acad-object) ll ur) (vlax-put d 'mspace 0) ) ;; (setvar 'cvport cvp) ) ; if ) ; defun
    2 points
  33. maybe try moving your 10 / 11 groups right after (cons 100 "AcDBMtext"). Often the order or dxf groups matters. just a random section from one of my app's (RlxMas to be exactly , posted here a couple of years ago) (setq elist (list '(0 . "MTEXT") '(100 . "AcDbEntity") '(100 . "AcDbMText") (cons 10 %pnt) (cons 1 msg) '(90 . 1) (cons 63 #bgc) (cons 40 (/ (getvar "VIEWSIZE") 30.0)) (cons 71 atc) '(72 . 5) '(441 . 0) )) (setq mobj (vlax-ename->vla-object (entmakex elist))) and thank you for adressing all who responded to your thread , not ever
    2 points
  34. They'll have to pry my Dell U3818DW out of my cold dead hands! https://www.amazon.com/Dell-Screen-LED-Lit-Monitor-U3818DW/dp/B073FHWTPL
    2 points
  35. When operating on objects nested within block definitions in addition to primary objects, it typically becomes easier to iterate over the ActiveX Block Collection, e.g.: (defun c:fixlay ( / doc lay lst ltp lyr ) (setq lst '( "DASHED" "CENTER" "PHANTOM" ) ) (setq doc (vla-get-activedocument (vlax-get-acad-object)) lyr (vla-get-layers doc) ) (vlax-for blk (vla-get-blocks doc) (if (= :vlax-false (vla-get-isxref blk)) (vlax-for obj blk (if (and (member (setq ltp (strcase (vla-ge
    2 points
  36. Wetransfer is another. Downloaded like 250Mb file.
    2 points
  37. Put your north arrows in model space then you don't have to worry about the angle.
    2 points
  38. Here's a quick (untested) adaption of your code to integrate a call to my LM:listbox function: (defun c:formatxr ( / cmd def lst ) (while (setq def (tblnext "block" (not def))) (if (= 4 (logand 4 (cdr (assoc 70 def)))) (setq lst (cons (cdr (assoc 2 def)) lst)) ) ) (if lst (progn (setq cmd (getvar 'cmdecho)) (setvar 'cmdecho 0) (foreach xrf (LM:listbox "Select Xrefs to Format" (acad_strlsort lst) 1) (command "_.-layer" "_color" 252 (strcat xrf "|*")
    2 points
  39. Try this you need to save the Multi Radio buttons.lsp to a support path for it to work can be used in any program will work with up to about 20 xref names. If you have more then 20 need to use a listbox library routine see Lee-mac.com. (defun choosexref ( / lst doc blocks n but) (vl-load-com) (setq lst '()) (setq doc (vla-get-ActiveDocument (vlax-get-acad-object))) (setq blocks (vla-get-Blocks doc)) (vlax-for n blocks (if (eq (vla-get-IsXref n) :vlax-true) (progn (setq xname (vl-string-translate (chr 92) (strcat (chr 92)(chr 92)) (vla-get-path n))) (setq lst (cons xname lst)) ) ) )
    2 points
  40. No that would not be possible. Why would you want it there anyway? I prefer the Quick Access Toolbar for the Layer List Combo Box also found in the Layers panel in the ribbon. As the QAT doesn't use up any screen space and is accessible in any Ribbon state no matter what tab is active it's the perfect place for it. Hard to imagine anything easier than hitting L+Spacebar for line or C+Spacebar for circle. To many things in those menus make finding what you need harder not easier. I've set up both Object & Objects shortcut menus for almost every object type in AutoCA
    1 point
  41. No worries. Would you by any chance be interested in learning the language? It will definitely save you hassles to keep requesting for code if nobody else is keen to help out. After all, you already know how to execute AutoLISP routines. If you can attempt to write something up, post it here and see where you get stuck, we can assist you. Then the next time you want to code something up, you can actually do it yourself as opposed to posting in this forum. (Just my encouragement for you to take the first step to learning AutoLISP.)
    1 point
  42. I have the following code in a command button. It does what I want it to except it is not perfect. It is driving me crazy but that is a short trip for me! I would like the macro to zoom into the specified window and then open the editing dialog box. What it actually does is open the editing dialog box and after I enter a key stroke in one of the text fields it zooms to my window. This is okay but why does it not zoom first? ^C^C^Q(command "zoom" "w" '(-1.0 3.0 0.0) '(9.0 -0.5 0.0))(command "eattedit" (ssget "_C" '(7.0 0.14) '(6.0 1.0)))
    1 point
  43. Just wondering where those 200 tables came from. Seems like they'd already be blocks with attributes or AutoCAD or Civil tables. Cannot imagine someone drawing and filling in values for every one of them when they could have been added programmably.
    1 point
  44. This is a pretty interesting interview from 2018. It's a fairly long interview, so if you don't want to watch the whole thing, check out these parts. At 23:42 he talks about how he's not interested in money. He just wants to provide a good program that works, for people to be creative and make things. At 46:53 he gives his thoughts on Autodesk. Enjoy https://www.youtube.com/watch?v=qJEWOTZnFeg
    1 point
  45. Does it have to be an AutoDesk product? There are less expensive options such as BricsCAD, nanoCAD and Draftsight. Each of these is an AutoCAD clone capable of reading and writing to the .DWG format. Just asking.
    1 point
  46. You probably could find some good deals somewhere on the internet. Just be prepared to say goodbye to your money because they will be cons. Autocad is available either directly through their site or through a reseller that you can find via the Autodesk site and yes at the moment subscription is your only option. Of course there are plenty of alternative CAD programs on the market and a quick google search will show you these
    1 point
  47. Copy any number of selected objects along a selected curve object (Arc, Circle, Ellipse, Line, LWPolyline, 2DPolyline, 3DPolyline, Spline) using a specified base point. Copy options: Divide, Measure and Dynamic. Starting point is based on closest end point to where curve is selected. Works in non-WCS. User has option to align object(s) to selected curve. (03.28.10) Instead of selecting a curve, user has option to pick points, temporarily drawing a Polyline to copy along. (03.28.10) If 'Align objects' option is selected, user has additional rotation option when copyi
    1 point
  • Newsletter

    Want to keep up to date with all our latest news and information?
    Sign Up
×
×
  • Create New...